Get custom Presets
GET/api/v2/preset
Returns all your custom Presets or those that match the search query.
Request
Query Parameters
q string
Optional parameter to search for presets by name or description
Example: yourSearchString
Responses
- 200
success
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
id integer
name string
config string
rpdx_version string
user_id integer
created_at string
updated_at string
description string
meta string
[
{
"id": 11,
"name": "preset 2",
"config": "{\"sceneManipulation\":{\"rotateZUp\":false,\"centerModel\":false,\"removeInvisibleGeometry\":false,\"discardAnimations\":false,\"removeSmallFeatures\":{\"removalPercentage\":0}},\"assetSimplification\":{\"meshDecimation\":{\"method\":\"rebake\"},\"topologySettings\":{\"vertexMergingDistance\":0.005,\"meshDensityEqualization\":0,\"boundaryPreservationFactor\":0.5,\"preserveTopology\":false},\"uvAndAtlasSettings\":{\"uvStretchTolerance\":0},\"materialAndTextureBaking\":{\"bakingQuality\":\"medium\",\"bakeNormalMap\":true,\"bakeAOMap\":true}},\"compressionAndExport\":{\"fileExports\":[{\"fileType\":\"glb\",\"meshCompressionMethod\":\"none\",\"customScaling\":1,\"textureFormat\":{\"baseColor\":\"auto\",\"emissive\":\"auto\",\"normal\":\"auto\",\"orm\":\"auto\"}},{\"fileType\":\"usdz\",\"meshCompressionMethod\":\"none\",\"customScaling\":1,\"textureFormat\":{\"baseColor\":\"auto\",\"emissive\":\"auto\",\"normal\":\"auto\",\"orm\":\"auto\"}},{\"fileType\":\"obj\",\"meshCompressionMethod\":\"none\",\"customScaling\":1,\"textureFormat\":{\"baseColor\":\"auto\",\"emissive\":\"auto\",\"normal\":\"auto\",\"orm\":\"auto\"}}]},\"schema\":\"2.5\",\"limits\":{\"faces\":{\"percentage\":50},\"textures\":{\"baseColor\":2048,\"emissive\":2048,\"normal\":2048,\"orm\":2048}}}",
"rpdx_version": "6.1.1",
"user_id": 328,
"created_at": "2023-01-22T09:11:30.000000Z",
"updated_at": "2023-01-22T09:11:30.000000Z",
"description": "",
"meta": "{\"filename\": {\"useId\": false, \"useSuffix\": null, \"usePresetName\": false}}"
}
]
Loading...